// Matteo Lulli, Massimo Bernaschi, Giorgio Parisi 2013
// Physics Dept. 'Sapienza', University of Rome
#include <stdio.h>
#include <stdlib.h>
#include <math.h>
#include <cuda.h>

#define CURAND_MTGP32_HOST_H
#define CURAND_MTGP32DC_P_11213_H

#include <curand.h>
#include <curand_kernel.h>
/* include MTGP host helper functions */
#include <curand_mtgp32_host.h>
/* include MTGP pre-computed parameter sets */
#include <curand_mtgp32dc_p_11213.h>

#include "MSC.h"
#include "cudaEA3D.h"

int main(int argc, char **argv){
  if(benchmarkStandard_NVPROF(argc, argv)) return 1;
  cudaDeviceReset();
  return 0;
}
